Historical contract: Delete Channel Event Rule
Historical API contract. This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.
Historical meaning
Delete Channel Event Rule
This API endpoint is used to remove channel of an event rule
Current API
For new integrations, use the linked current API reference or guide.
View the current API referenceParameters
[
{
"name": "language",
"in": "path",
"schema": {
"type": "string",
"default": "en"
},
"required": true
},
{
"name": "project",
"in": "path",
"schema": {
"type": "string",
"default": "<redacted-personal>"
},
"required": true
},
{
"name": "api_version",
"in": "path",
"schema": {
"type": "string",
"default": "v400"
},
"required": true
},
{
"name": "event_rule_id",
"in": "path",
"schema": {
"type": "integer",
"format": "int32"
},
"required": true
},
{
"name": "event_rule_channel_id",
"in": "path",
"schema": {
"type": "integer",
"format": "int32"
},
"required": true
}
]
Request body
null
Responses
{
"200": {
"description": "200",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{\n \"error\": false,\n \"result\": {\n \"id\": 4,\n \"channel\": \"sms\",\n \"event_rule_id\": 3,\n \"title\": \"Event rule Test1\",\n \"body\": \"This is a test1\",\n \"webhook\": null,\n \"enabled\": true,\n \"created_at\": \"2022-05-18 17:36:03\",\n \"updated_at\": \"2022-05-18 17:36:03\"\n }\n}"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": false,
"default": true
},
"result": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"example": 4,
"default": 0
},
"channel": {
"type": "string",
"example": "sms"
},
"event_rule_id": {
"type": "integer",
"example": 3,
"default": 0
},
"title": {
"type": "string",
"example": "Event rule Test1"
},
"body": {
"type": "string",
"example": "This is a test1"
},
"webhook": {},
"enabled": {
"type": "boolean",
"example": true,
"default": true
},
"created_at": {
"type": "string",
"example": "2022-05-18 17:36:03"
},
"updated_at": {
"type": "string",
"example": "2022-05-18 17:36:03"
}
}
}
}
}
}
}
},
"400": {
"description": "400",
"content": {
"application/json": {
"examples": {
"Result": {
"value": " {\n \"error\": true,\n \"result\": [\n \"The attachment could not be deleted.\"\n ]\n }"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": true,
"default": true
},
"result": {
"type": "array",
"items": {
"type": "string",
"example": "The attachment could not be deleted."
}
}
}
}
}
}
},
"401": {
"description": "401",
"content": {
"application/json": {
"examples": {
"Result": {
"value": " {\n \"error\": true,\n \"result\": [\n \"You do not have permission.\"\n ]\n }"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": true,
"default": true
},
"result": {
"type": "array",
"items": {
"type": "string",
"example": "You do not have permission."
}
}
}
}
}
}
}
}